Skip to navigation

Upsert brand

Creates or updates a brand based on the brand’s reference_id.

If a brand with a matching reference_id is found, it will be updated. Ensure proper mapping; if no matching brand is found, a new one will be created.

The HTTP response code (200 OK or 201 Created) indicates whether the resource was updated or created, respectively.

brand_id is the primary unique identifier for all Brand APIs. Be cautious when using reference_id as a unique identifier.

This endpoint is not rate limited.

Scopes: BRANDS_WRITE

Headers

AcceptstringRequired
X-RegionstringRequired
X-SignaturestringRequired
User-AgentstringRequired

Request

This endpoint expects an object.
brandobjectRequired
Details about the brand to create or update.

Response

OK
brandobjectOptional
A brand is the entity a customer perceives that they are transacting with.

Errors

400
Upsert Brand Request Bad Request Error